curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/tax_properties/{tax_property} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "tax_property",
"data": {
"type": "ca::province_of_employment",
"value": "ca_on",
"effective_from": "2026-01-01",
"effective_to": null,
"earliest_valid_effective_to": "2026-01-01",
"is_editable": true,
"is_deletable": true,
"label": "Province of Employment",
"format": "string",
"options": {
"ca_ab": "Alberta",
"ca_bc": "British Columbia",
"ca_mb": "Manitoba",
"ca_nb": "New Brunswick",
"ca_nl": "Newfoundland and Labrador",
"ca_ns": "Nova Scotia",
"ca_nt": "Northwest Territories",
"ca_nu": "Nunavut",
"ca_on": "Ontario",
"ca_pe": "Prince Edward Island",
"ca_qc": "Quebec",
"ca_sk": "Saskatchewan",
"ca_yt": "Yukon",
"ca_oc": "Outside Canada"
},
"allow_concurrent": false,
"feature": "onboarding",
"owner": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"note": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/tax_properties/<id>"
}
}Retrieve a tax property
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/tax_properties/{tax_property} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "tax_property",
"data": {
"type": "ca::province_of_employment",
"value": "ca_on",
"effective_from": "2026-01-01",
"effective_to": null,
"earliest_valid_effective_to": "2026-01-01",
"is_editable": true,
"is_deletable": true,
"label": "Province of Employment",
"format": "string",
"options": {
"ca_ab": "Alberta",
"ca_bc": "British Columbia",
"ca_mb": "Manitoba",
"ca_nb": "New Brunswick",
"ca_nl": "Newfoundland and Labrador",
"ca_ns": "Nova Scotia",
"ca_nt": "Northwest Territories",
"ca_nu": "Nunavut",
"ca_on": "Ontario",
"ca_pe": "Prince Edward Island",
"ca_qc": "Quebec",
"ca_sk": "Saskatchewan",
"ca_yt": "Yukon",
"ca_oc": "Outside Canada"
},
"allow_concurrent": false,
"feature": "onboarding",
"owner": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"note": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/tax_properties/<id>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
owner Response
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("tax_property").
- Default
- With owner expanded
Hide child attributes
Hide child attributes
The type of this tax property, determining its format, label, and validation rules.
ca::ab::claim_amount, ca::ab::total_income_less_than_total_claim_amount, ca::ab::workers_compensation_class, ca::bc::claim_amount, ca::bc::eht, ca::bc::total_income_less_than_total_claim_amount, ca::bc::workers_compensation_class, ca::cpp_exempt, ca::ei_exempt, ca::ei_premium_reduction, ca::federal::additional_tax, ca::federal::annual_deduction_at_source, ca::federal::claim_amount, ca::federal::commission_expenses, ca::federal::commission_total_income, ca::federal::total_income_less_than_total_claim_amount, ca::federal_oc_surtax_exempt, ca::first_nation_exemptions, ca::mb::claim_amount, ca::mb::eht, ca::mb::total_income_less_than_total_claim_amount, ca::mb::workers_compensation_class, ca::nb::claim_amount, ca::nb::total_income_less_than_total_claim_amount, ca::nb::workers_compensation_class, ca::nl::claim_amount, ca::nl::eht, ca::nl::total_income_less_than_total_claim_amount, ca::nl::workers_compensation_class, ca::ns::claim_amount, ca::ns::total_income_less_than_total_claim_amount, ca::ns::workers_compensation_class, ca::nt::claim_amount, ca::nt::territorial_payroll_tax, ca::nt::total_income_less_than_total_claim_amount, ca::nt::workers_compensation_class, ca::nu::claim_amount, ca::nu::territorial_payroll_tax, ca::nu::total_income_less_than_total_claim_amount, ca::nu::workers_compensation_class, ca::on::claim_amount, ca::on::dependent_children_credit, ca::on::eht, ca::on::impaired_dependants_credit, ca::on::total_income_less_than_total_claim_amount, ca::on::workers_compensation_class, ca::pe::claim_amount, ca::pe::total_income_less_than_total_claim_amount, ca::pe::workers_compensation_class, ca::province_of_employment, ca::province_of_work, ca::qc::additional_tax, ca::qc::claim_amount, ca::qc::commission_percentage_taxed, ca::qc::eht, ca::qc::qpip_exempt, ca::qc::qpp_exempt, ca::qc::tax_id, ca::qc::total_income_less_than_total_claim_amount, ca::qc::workers_compensation_class, ca::sk::claim_amount, ca::sk::total_income_less_than_total_claim_amount, ca::sk::workers_compensation_class, ca::statutory_holiday_pay, ca::tax_id, ca::yt::claim_amount, ca::yt::total_income_less_than_total_claim_amount, ca::yt::workers_compensation_class 255The value of this tax property. Format depends on format: numeric types store a decimal string, boolean types store a boolean, select types store a string key, and object types store a structured value object.
The date from which this tax property takes effect.
The date on which this tax property expires. null means no end date and the property remains in effect indefinitely.
The earliest date that effective_to can be set to without triggering a validation error. Corresponds to the pay date of the most recent non-draft payroll that used this property.
Whether this tax property can be fully edited. When false, only effective_to and note may be updated.
When false, only the effective_to and note attributes may be updated.
Whether this tax property can be deleted.
The human-readable display name for this tax property's type.
The value format for this tax property's type. Determines how value is interpreted.
The available options for this tax property's type if it is a select type. null if not applicable.
Hide child attributes
Hide child attributes
Whether multiple tax properties of this tax property's type are allowed on the same owner with overlapping effective date ranges.
The feature this tax property's type is associated with. null if not feature-gated.
An optional note for this tax property.
The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

